#
# spec file for package clamav (Version 0.87)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  curl curl-devel gmp openssl openssl-devel tcpd

#BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils curl curl-devel gcc gdbm gettext gmp libtool openssl-devel perl rpm tcpd-devel

Name:         clamav
Summary:      Anti-Virus Toolkit
Version:      0.90.3
Release:      2.3
License:      GPL
Group:        Productivity/Security
URL:          http://www.clamav.net
Prereq:       /usr/sbin/groupadd /usr/sbin/useradd
Source0:      %{name}-%{version}.tar.gz
Source1:      clamav-rcclamd
Source2:      clamav-rcfreshclam
Patch1:       %name-etc-%{version}.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Clam AntiVirus is an anti-virus toolkit for UNIX. The main purpose of
this software is the integration with mail servers (attachment
scanning). The package provides a flexible and scalable multi-threaded
daemon, a command-line scanner, and a tool for automatic updating via
the Internet. It can be used in conjunction with AMaViSD-new and
Postfix to provide a combined e-mail filter for spam and viruses.



Authors:
--------
    Tomasz Kojm
    Nigel Horne

%package db
Group:        Productivity/Security
Summary:      Virus Database for ClamAV
Requires:     clamav

%description db
This package contains a snapshot of the virus description database for
ClamAV. It is not needed if you use freshclam to keep your virus
database up to date.



Authors:
--------
    Tomasz Kojm
    Nigel Horne

%debug_package
%prep
%setup -q
%patch1

%build
export CFLAGS="%optflags -fno-strict-aliasing"
./configure \
	--prefix=%_prefix \
	--libdir=%_libdir \
	--mandir=%_mandir \
	--sysconfdir=%_sysconfdir \
	--disable-clamav \
	--disable-static \
	--with-dbdir=/var/lib/clamav \
	--with-user=vscan \
	--with-group=vscan \
	--with-tcpwrappers \
	--with-libcurl \
	--disable-zlib-vcheck

make %{?jobs:-j%jobs}
make check

%install
rm -rf %buildroot

%makeinstall
mkdir -p %buildroot/etc/init.d
#mv %buildroot/etc/clamd.conf %buildroot/etc/clamd.conf
cp %{S:1} %buildroot/etc/init.d/clamd
cp %{S:2} %buildroot/etc/init.d/freshclam
chmod 755 %buildroot/etc/init.d/*
cd %buildroot/usr/sbin
ln -s ../../etc/init.d/clamd rcclamd
ln -s ../../etc/init.d/freshclam rcfreshclam


%pre
/usr/sbin/groupadd -r vscan 2> /dev/null || :
/usr/sbin/useradd -r -o -g vscan -u 65 -s /bin/false -c "Vscan account" -d /var/spool/amavis vscan 2> /dev/null || :
/usr/sbin/usermod vscan -g vscan 2> /dev/null || :


%files -n clamav
%defattr(-,root,root)
%dir /etc
%config(noreplace) /etc/freshclam.conf
%dir /etc/init.d
%config(noreplace) /etc/clamd.conf
/etc/init.d/*
/usr

%files db
%defattr(-,root,root)
%dir /var/lib/clamav
/var/lib/clamav/main.cvd
/var/lib/clamav/daily.cvd

%changelog -n clamav
* Sun Jun 03 2007 - cs@internetx.de
- version bump to 0.90.3
* Fri Apr 20 2007 - cs@internetx.de
- version bump to 0.90.2
* Fri Dec 22 2006 - cs@internetx.de
- version bump to 0.88.7
* Tue Oct 17 2006 - cs@internetx.de
- version bump to 0.88.5
* Fri Aug 11 2006 - cs@internetx.de
- version bump to 0.88.4
* Wed Jun 07 2006 - cs@internetx.de
- version bump to 0.88.2
* Fri Mar 24 2006 - cs@internetx.de
- version bump to 0.88
* Sat Nov 05 2005 - cs@internetx.de
- New version 0.87.1
* Sat Sep 17 2005 - cs@internetx.de
- New version 0.87 
- This version fixes vulnerabilities in handling of UPX and FSG compressed executables. Support for PE files, Zip and Cabinet archives has been improved and other small bugfixes have been made. The new option "--on-outdated-execute" allows freshclam to run a command when system reports a new engine version.
* Tue Jul 26 2005 - cs@internetx.de
- New version: 0.86.2 (Buffer overflow fixes).
* Tue Jun 28 2005 - max@suse.de
- New version: 0.86.1 (Bug #91594).
* Tue May 17 2005 - max@suse.de
- New version: 0.85.1 (Bug #81264).
* Wed May 11 2005 - max@suse.de
- New version: 0.85 (Bug #81264).
* Tue May 03 2005 - max@suse.de
- New version: 0.84 (Bug #81264).
- Added and special-cased the patch that is needed for 9.1/SLES9.
* Fri Mar 11 2005 - max@suse.de
- Fixed %%doc file list (wildcards matched too much).
* Mon Feb 28 2005 - max@suse.de
- New version: 0.83
* Mon Feb 07 2005 - max@suse.de
- New version: 0.82
* Thu Jan 27 2005 - max@suse.de
- New version: 0.81
* Thu Nov 11 2004 - max@suse.de
- pkgconfig files go to libdir rather than /usr/lib.
* Thu Nov 11 2004 - coolo@suse.de
- fixing file list for debug packages
* Wed Nov 03 2004 - max@suse.de
- Fixed path to freshclam in init script, and rcfreshclam link.
* Mon Oct 18 2004 - max@suse.de
- Updated to the final 0.80 release.
- Added a runlevel script for freshclam.
* Mon Oct 11 2004 - max@suse.de
- Updated to 0.80rc4.
* Wed Sep 29 2004 - max@suse.de
- Updated to 0.80rc3. The README says:
  "This release candidate eliminates possible false positive alerts
  in UPX/FSG compressed files and clarifies behaviour of default
  actions in clamd and freshclam."
- This also eliminates the need to patch configure.in in order to
  recognize resolv.
* Thu Sep 23 2004 - max@suse.de
- Updated to 0.80rc2 which fixes a critical bug in the handling of
  empty lines in text/plain emails.
- Build with curl support.
- Fixed building of shared libraries instead of static.
- Removed unneeded %%run_ldconfig calls.
- Fixed file lists.
- Check for main.cvd instead of daily.cvd on daemon startup.
* Mon Sep 20 2004 - max@suse.de
- Updated to version 0.80rc which adds support for more file
  formats, and HTML parsing. See the README file for details.
- Added a warning to the init script if no virus database is
  installed.
* Thu Aug 05 2004 - max@suse.de
- New version: 0.75.1
- Moved the virus database files into a subpackage, as they are
  large and not needed if the database is kept up to date with
  freshclam.
* Fri Jul 23 2004 - max@suse.de
- New version: 0.75
* Thu Jul 08 2004 - max@suse.de
- Added -fno-strict-aliasing to CFLAGS.
* Mon Jul 05 2004 - max@suse.de
- New version: 0.74
* Tue Jun 15 2004 - max@suse.de
- New version: 0.73
* Mon Apr 26 2004 - max@suse.de
- New version: 0.70
- Changes the format of the virus definition file.
* Mon Feb 16 2004 - max@suse.de
- New version: 0.67
- Added support for tcpd (/etc/hosts.{allow,deny}).
- Obsoletes clamav-manager.patch.
* Fri Feb 13 2004 - max@suse.de
- New version: 0.66
- Fixes a remote DoS vulnerability (Bug #34412).
* Tue Jan 27 2004 - max@suse.de
- New package: ClamAV Anti-Virus Toolkit
